Debian Bug report logs - #603808
xterm: reverseVideo resource inverts reverse video logic instead of setting the default

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Sascha Silbe <sascha-debian-bugs-xterm-2010-11-17@silbe.org>

Date: Wed, 17 Nov 2010 14:33:02 UTC

Severity: normal

Found in version xterm/261-1

Fixed in version xterm/268-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#603808; Package xterm. (Wed, 17 Nov 2010 14:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sascha Silbe <sascha-debian-bugs-xterm-2010-11-17@silbe.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 17 Nov 2010 14:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sascha Silbe <sascha-debian-bugs-xterm-2010-11-17@silbe.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: reverseVideo resource inverts reverse video logic instead of setting the default
Date: Wed, 17 Nov 2010 15:29:15 +0100
Package: xterm
Version: 261-1
Severity: normal


The reverseVideo X resource and the +rv/-rv command line options affect the reverse video feature in strange ways.
It seems to get inverted rather than set, though even that doesn't explain why there is a mark for the menu option if the reverseVideo resource is true and no CLI option is given, but no mark in all other cases.

This is what happens:

resource	CLI	menu			result
--------------------------------------------------------------------------
false			Mark			white bg, black fg (false)
false			No mark (default)	black bg, white fg (true)
false		+rv	Mark			white bg, black fg (false)
false		+rv	No mark (default)	black bg, white fg (true)
false		-rv	Mark			black bg, white fg (true)
false		-rv	No mark (default)	white bg, black fg (false)
true			Mark (default)		black bg, white fg (true)
true			No mark			white bg, black fg (false)
true		+rv	Mark			white bg, black fg (false)
true		+rv	No mark (default)	black bg, white fg (true)
true		-rv	Mark			black bg, white fg (true)
true		-rv	No mark (default)	white bg, black fg (false)


This is what I would have expected:

resource	CLI	menu			result
--------------------------------------------------------------------------
false			Mark			black bg, white fg (true)
false			No mark (default)	white bg, black fg (false)
false		+rv	Mark			black bg, white fg (true)
false		+rv	No mark (default)	white bg, black fg (false)
false		-rv	Mark (default)		black bg, white fg (true)
false		-rv	No mark			white bg, black fg (false)
true			Mark (default)		black bg, white fg (true)
true			No mark			white bg, black fg (false)
true		+rv	Mark			black bg, white fg (true)
true		+rv	No mark (default)	white bg, black fg (false)
true		-rv	Mark (default)		black bg, white fg (true)
true		-rv	No mark			white bg, black fg (false)

In words:
1. A mark in the menu should always correspond with reversed video (i.e. black background, white foreground).
2. The reverseVideo resource should set the default value for the menu option.
3. The -rv/+rv CLI options if given should set the default value for the menu option, overriding the reverseVideo resource.


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xterm depends on:
ii  libc6                     2.11.2-7       Embedded GNU C Library: Shared lib
ii  libfontconfig1            2.8.0-2.1      generic font configuration library
ii  libice6                   2:1.0.6-1      X11 Inter-Client Exchange library
ii  libncurses5               5.7+20100313-4 shared libraries for terminal hand
ii  libutempter0              1.1.5-3        A privileged helper for utmp/wtmp
ii  libx11-6                  2:1.3.3-3      X11 client-side library
ii  libxaw7                   2:1.0.7-1      X11 Athena Widget library
ii  libxft2                   2.1.14-2       FreeType-based font drawing librar
ii  libxmu6                   2:1.0.5-2      X11 miscellaneous utility library
ii  libxt6                    1:1.0.7-1      X11 toolkit intrinsics library
ii  xbitmaps                  1.1.0-1        Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.5+4      X11 utilities

Versions of packages xterm suggests:
pn  xfonts-cyrillic               <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#603808; Package xterm. (Thu, 18 Nov 2010 11:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 18 Nov 2010 11:51:06 GMT) Full text and rfc822 format available.

Message #10 received at 603808@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sascha Silbe <sascha-debian-bugs-xterm-2010-11-17@silbe.org>, 603808@bugs.debian.org
Cc: Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#603808: xterm: reverseVideo resource inverts reverse video logic instead of setting the default
Date: Thu, 18 Nov 2010 06:47:05 -0500 (EST)
On Wed, 17 Nov 2010, Sascha Silbe wrote:

> Package: xterm
> Version: 261-1
> Severity: normal
>
>
> The reverseVideo X resource and the +rv/-rv command line options affect 
> the reverse video feature in strange ways. It seems to get inverted 
> rather than set, though even that doesn't explain why there is a mark 
> for the menu option if the reverseVideo resource is true and no CLI 
> option is given, but no mark in all other cases.

The interaction is strange because the +rv/-rv options are processed in
the X libraries, and xterm can only infer what's happened.  I'll review
this to see if I can improve the manner in which the menu-checkmark is
set, etc. - that seems to be the intent of the report.

thanks

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#603808; Package xterm. (Sun, 16 Jan 2011 22:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 16 Jan 2011 22:54:03 GMT) Full text and rfc822 format available.

Message #15 received at 603808@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 603808@bugs.debian.org
Cc: 603808-submitter@bugs.debian.org
Subject: re: #603808 xterm: reverseVideo resource inverts reverse video logic instead of setting the default
Date: Sun, 16 Jan 2011 17:50:37 -0500
[Message part 1 (text/plain, inline)]
Reviewing the table, there's some information left out:

a) without the app-defaults file, xterm would display black text on
   a white background.  That is the X default, which the table assumes.
b) however, Debian uses this chunk in the XTerm-color app-defaults file:

! Set the default text foreground and background colors.
*VT100*foreground: gray90
*VT100*background: black

c) the rest of the difference between expectation and actual results
   is the equating of the -rv/+rv command-line option with the reverseVideo
   resource.  Whether that's intuitive or not, it's been the behavior since
   patch #94 - 1999/3/27 - XFree86 3.9Pf (separate menu settings for reverse
   video from that done under program control).

Seems that we're discussing (c).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Sascha Silbe <sascha-debian-bugs-xterm-2010-11-17@silbe.org>:
Bug#603808. (Sun, 16 Jan 2011 22:54:05 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Thu, 10 Feb 2011 18:21:17 GMT) Full text and rfc822 format available.

Notification sent to Sascha Silbe <sascha-debian-bugs-xterm-2010-11-17@silbe.org>:
Bug acknowledged by developer. (Thu, 10 Feb 2011 18:21:17 GMT) Full text and rfc822 format available.

Message #23 received at 603808-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 603808-close@bugs.debian.org
Subject: Bug#603808: fixed in xterm 268-1
Date: Thu, 10 Feb 2011 18:19:23 +0000
Source: xterm
Source-Version: 268-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_268-1.diff.gz
  to main/x/xterm/xterm_268-1.diff.gz
xterm_268-1.dsc
  to main/x/xterm/xterm_268-1.dsc
xterm_268-1_amd64.deb
  to main/x/xterm/xterm_268-1_amd64.deb
xterm_268.orig.tar.gz
  to main/x/xterm/xterm_268.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 603808@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 10 Feb 2011 18:48:37 +0100
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 268-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 373139 588785 603808
Changes: 
 xterm (268-1) unstable; urgency=low
 .
   [ Sven Joachim ]
   * Prefer lynx-cur over lynx in Build-Depends.
   * Update xsfbs.
   * Drop useless debian/xterm.dirs.
   * Stop recommending the transitional xutils package.
   * Mention ncurses-base in README.Debian (Closes: #373139).
   * Do not manually gzip the text version of the FAQ, dh_compress can take
     care of that.
 .
   [ Julien Cristau ]
   * Update copy of XTerm FAQ to revision 1.167 (dated 2010/11/25)
   * New upstream release (267)
     + add copy-selection action (request by Timo Juhani Lindfors,
       closes: #588785
   * New upstream release (268)
     + fix an inconsistency of the "Enable Reverse Video" checkbox in the VT
       Options menu.  This also removes a special case added in patch #217
       which limited the effect of the reverseVideo resource (closes: #603808)
Checksums-Sha1: 
 cf11282e06231ef008ea278ddb7501e9a0d6fceb 1994 xterm_268-1.dsc
 b4bbc2ba29e6590c8881460502b617ac7f09f47c 955221 xterm_268.orig.tar.gz
 df336f941d357e8c9663b9ee195e2e48efff4a21 90167 xterm_268-1.diff.gz
 5de92770a84956b3b9bd9be0836578ab694c3807 569472 xterm_268-1_amd64.deb
Checksums-Sha256: 
 f0a9b9f6bc08dadbfea435cfef970582f9b6cfce9588b18b6a0b1c4792df73f5 1994 xterm_268-1.dsc
 574d763a2dbae6c114770ca10d002dc999576fc0f65ee90c09939cfcaa4128c3 955221 xterm_268.orig.tar.gz
 69058be5428ab1d4dae0b4299375c2f413feb1ae43d52b8f91ce0d91ae4c4b88 90167 xterm_268-1.diff.gz
 294955f8d51c5697eed59f785bd9b9ab23f28df5fdc414c810c35a67bc3012e5 569472 xterm_268-1_amd64.deb
Files: 
 746dee9e5d71accaa9db41f80ddb3114 1994 x11 optional xterm_268-1.dsc
 25bfc6a4a8f965e7bcc8207f0dd2e826 955221 x11 optional xterm_268.orig.tar.gz
 73ada7f3ca70a7e82800b45a271606d0 90167 x11 optional xterm_268-1.diff.gz
 d07b0bdfc7abd05321032dcf38d95ff5 569472 x11 optional xterm_268-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJNVCV/AAoJEDEBgAUJBeQMMuEQAMrtkn+mj7qXd33NKzFXzUcO
6mSb7GVeftl/0857VQppXv8R3YekPNsJQ9bm6Pg+MOigUKxEnMukgzaht30PVYZ7
8ltTFydpJxWnKC5nrANuBzeObQHSkbiySD3vCTxDhUw6uZ27vcIRX+Nh7nw0FYkM
XPgQxlOlO1nuHQ0UojFtFdfOMiaqTtSyoVRNTDfUv+yGdsBi80JwQQ+3JSfBMw+s
f07VKfDlQk/CItETQUZGkJZpX7cLkMDOBYLcnoXdWSIM6p1yPz5L/Z2dfV67XDrn
McnyHfpMqpvgDhIXfCjYmOcO9ccH6Po8IYnPotcb6FzPiQYnJegzqnaiHREp1mjZ
r/D96/JRd5MkIgHWqjIwSJW1LZ4enhnskrlJFyEayFV75E89iINeH4ZngiI5t8Xm
4drNIcZLoHJ2tZSNFbM/DtW8eMPOsthYRLXO2urF5klVWAZLiiTYJ79TE4jVvTed
sbjg/IzuIdba6lx87QXANjIoA1p6zOfPpSyxGAcC1aj3pl8CyuAbQOUoCn81xVH+
SEzxVePpq1EFG75HfDuT8ngo4R5ybjm7+EAZPGIHr9VIdCB72IJ7ybmlNumI7uDH
8XbvyQ3x/21vSAsRiE1Z2hiBy86kEEEnDLafJ6yDWC2WMkc1aGOYdvCK281dqFGi
GihEV9yS/YlA9UX+NcrL
=fx6t
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 21 Mar 2011 07:30:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 11:02:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.